GuideLab API

Update a line item on an existing order

Updates the configuration of an existing draft line item and re-resolves authoritative pricing. Price-affecting fields are frozen after submission.

PATCH
/orders/{id}/items/{itemId}

Updates the configuration of an existing draft line item and re-resolves authoritative pricing. Price-affecting fields are frozen after submission.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Order ID

itemId*string

Order item ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/orders/550e8400-e29b-41d4-a716-446655440000/items/660e8400-e29b-41d4-a716-446655440111" \  -H "Content-Type: application/json" \  -d '{}'
{  "item": null}
Empty
Empty
Empty
Empty
Empty